Package Details: postgresql-libs-10 10.20-1

Git Clone URL: https://aur.archlinux.org/postgresql-10.git (read-only, click to copy)
Package Base: postgresql-10
Description: Libraries for use with PostgreSQL
Upstream URL: https://www.postgresql.org/
Licenses: custom:PostgreSQL
Conflicts: postgresql-client, postgresql-libs
Provides: postgresql-client, postgresql-libs
Submitter: xfix
Maintainer: None
Last Packager: someonerandom
Votes: 4
Popularity: 0.000004
First Submitted: 2018-12-17 12:16 (UTC)
Last Updated: 2022-03-17 12:30 (UTC)

Required by (1058)

Sources (9)

Latest Comments

aledts commented on 2022-07-15 16:26 (UTC)

i'm having same issue referenced in postgres-12 package

which i think was fixed here

==> ERROR: make check-world failure: ./src/pl/plperl/regression.diffs
*** /home/user/.cache/yay/postgresql-10/src/postgresql-10.20/src/pl/plperl/expected/plperl.out  2022-02-07 18:21:57.000000000 -0300
--- /home/user/.cache/yay/postgresql-10/src/postgresql-10.20/src/pl/plperl/results/plperl.out   2022-07-15 13:24:22.615618755 -0300
***************
*** 646,653 ****
  -- check that we can "use warnings" (in this case to turn a warn into an error)
  -- yields "ERROR:  Useless use of sort in scalar context."
  DO $do$ use warnings FATAL => qw(void) ; my @y; my $x = sort @y; 1; $do$ LANGUAGE plperl;
- ERROR:  Useless use of sort in scalar context at line 1.
- CONTEXT:  PL/Perl anonymous code block
  -- make sure functions marked as VOID without an explicit return work
  CREATE OR REPLACE FUNCTION myfuncs() RETURNS void AS $$
     $_SHARED{myquote} = sub {
--- 646,651 ----

======================================================================

==> ERROR: A failure occurred in check().
    Aborting...
 -> error making: postgresql-10

malacology commented on 2021-11-30 11:21 (UTC) (edited on 2021-11-30 11:30 (UTC) by malacology)

initdb: error while loading shared libraries: libldap_r-2.4.so.2: cannot open shared object file: No such file or directory

cd /usr/lib && ln -s libldap.so.2 libldap_r-2.4.so.2 ln -s libldap.so.2 libldap-2.4.so.2